Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts.maven
Interface PomFilterContainer

    interface PomFilterContainer

author:
  Hans Dockter

Field Summary
`java.lang.String` | `DEFAULT_ARTIFACT_POM_NAME`

Method Summary
`MavenPom` | `addFilter(java.lang.String name, PublishFilter publishFilter)` If you want to deploy more than one artifact you need to define filters to select each of those artifacts.
`PublishFilter` | `filter(java.lang.String name)` Returns a filter added with {
`java.lang.Iterable` | `getActivePomFilters()`
`PublishFilter` | `getFilter()` Returns the default filter being used. .
`MavenPom` | `getPom()` Returns the pom property of the custom filter.
`MavenPom` | `pom(java.lang.String name)` Returns the pom associated with a filter added with {
`void` | `setFilter(PublishFilter defaultFilter)` Sets the default filter to be used.
`void` | `setPom(MavenPom defaultPom)` Sets the default pom to be used.

Field Detail

### DEFAULT_ARTIFACT_POM_NAME

    java.lang.String DEFAULT_ARTIFACT_POM_NAME

Method Detail

### addFilter

    public MavenPom addFilter(java.lang.String name, PublishFilter publishFilter)

  If you want to deploy more than one artifact you need to define filters to select each of those artifacts. The method returns a pom object associated with this filter, that allows you to customize the pom generation for the artifact selected by the filter.
  param:
    name The name of the filter
  param:
    publishFilter The filter to use
  return:
    The pom associated with the filter

### filter

    public PublishFilter filter(java.lang.String name)

  Returns a filter added with #addFilter(String, org.gradle.api.artifacts.maven.PublishFilter)
  param:
    name The name of the filter

### getActivePomFilters

    public java.lang.Iterable getActivePomFilters()

### getFilter

    public PublishFilter getFilter()

  Returns the default filter being used. .
  see:
    #setFilter(org.gradle.api.artifacts.maven.PublishFilter)

### getPom

    public MavenPom getPom()

  Returns the pom property of the custom filter. The pom property can be used to customize the pom generation. By default the properties of such a pom object are all null. Null means that Gradle will use default values for generating the Maven pom. Those default values are derived from the deployable artifact and from the project type (e.g. java, war, ...). If you explicitly set a pom property, Gradle will use those instead.
  return:
    The Maven Pom

### pom

    public MavenPom pom(java.lang.String name)

  Returns the pom associated with a filter added with #addFilter(String, org.gradle.api.artifacts.maven.PublishFilter).
  param:
    name The name of the filter.

### setFilter

    public void setFilter(PublishFilter defaultFilter)

  Sets the default filter to be used. This filter is active if no custom filters have been added (see #addFilter(String, org.gradle.api.artifacts.maven.PublishFilter)). If at least one custom filter has been added the default filter is not used any longer.

  The default for this property is PublishFilter#ALWAYS_ACCEPT. If there is only one artifact you are fine with this filter. If there is more than one artifact, deployment will lead to an exception, if you don't specify a filter that selects the artifact to deploy. If you want to deploy more than one artiact you have to use the (see #addFilter(String, org.gradle.api.artifacts.maven.PublishFilter) method.

  param:
    defaultFilter
  see:
    #getFilter()

### setPom

    public void setPom(MavenPom defaultPom)

  Sets the default pom to be used. This pom is active if no custom filters have been added (see #addFilter(String, org.gradle.api.artifacts.maven.PublishFilter)). If at least one custom filter has been added the default pom is not used any longer.

  Usually you don't need to set this property as the default value provides you a pom object you might use for configuration. By default the properties of such a pom object are all null. If they are null, Gradle will use default values for generating the Maven pom. Those default values are derived from the deployable artifact and from the project type (e.g. java, war, ...). If you explicitly set a pom property, Gradle will use this instead.

  param:
    defaultPom

Groovy Documentation